module Medlink
  class Activity < Base

    attribute :id, Integer
    attribute :source, String
    attribute :user, Medlink::User
    attribute :institution, Medlink::Institution

    def create
      json = client.post("#{path}", params)

      self.class.new(json)
    end

    private

      def path
        "activities"
      end

      def params
        params = {
          institution: {
            google_place_id: institution.google_place_id
          },
          user: {
            id: user.id
          },
          activity: {
            source: source
          }
        }

        params
      end
  end
end