module Medlink
  class Email < Base

    attribute :id, Integer
    attribute :value, String
    attribute :source, String
    attribute :user, Medlink::User

    def create
      json = client.post("#{path}", params)

      self.class.new(json)
    end

    private

      def path
        "emails"
      end

      def params
        params = {
          email: {
            value: value,
            source: source
          },
          user: {
            id: user.id,
            first_name: user.first_name,
            last_name: user.last_name
          }
        }

        if user.profession
          params[:user][:profession] = {name: user.profession.name}
        end

        params
      end
  end
end